'use client'

import { AuthGuard } from '@/components/auth-guard'
import { LogistHomePage } from '@/components/home/logist-home-page'
import { useRoleGuard } from '@/hooks/useRoleGuard'

export default function LogisticsHomePage() {
  useRoleGuard('LOGIST')

  return (
    <AuthGuard>
      <LogistHomePage />
    </AuthGuard>
  )
}